Package org.silverpeas.mobile.server.services

## Class ServiceWorkflow

- java.lang.Object
- - org.silverpeas.core.web.rs.RESTWebService
  - - org.silverpeas.mobile.server.services.AbstractRestWebService
    - - org.silverpeas.mobile.server.services.ServiceWorkflow

- All Implemented Interfaces:
    `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`

      @WebService
      @Authorized
      @Path("mobile/workflow/{appId}")
      public class ServiceWorkflow
      extends AbstractRestWebService

  Service de gestion des workflows.
  Author:
    svuillet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.web.rs.RESTWebService

      `org.silverpeas.core.web.rs.RESTWebService.WebProcess<R extends Object>, org.silverpeas.core.web.rs.RESTWebService.WebTreatment<R extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.server.services.AbstractRestWebService

      `MAINSESSIONCONTROLLER_ATTRIBUT_NAME`

    - ### Fields inherited from class org.silverpeas.core.web.rs.RESTWebService

      `RESPONSE_HEADER_ARRAYSIZE`

    - ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

      `BASE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceWorkflow()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WorkflowFormActionDTO` | `getActionForm​(String instanceId, String role, String action)` |
    `String` | `getComponentId()` |
    `WorkflowDataDTO` | `getDataInstances​(String userRole)` |
    `WorkflowInstancePresentationFormDTO` | `getPresentationForm​(String instanceId, String role)` |
    `protected String` | `getResourceBasePath()` |
    `List<BaseDTO>` | `getUserField​(String instanceId, String actionName, String fieldName, String role)` |
    `StreamingList<WorkflowInstanceDTO>` | `getWorkflowInstances​(String userRole, int callNumber)` |

    - ### Methods inherited from class org.silverpeas.mobile.server.services.AbstractRestWebService

      `createStreamingList, getMainSessionController, getSettings, initSilverpeasSession, makeStreamingList, setMainsessioncontroller`

    - ### Methods inherited from class org.silverpeas.core.web.rs.RESTWebService

      `createWebResourceUri, fromPage, getBundle, getBundleLocation, getHighestUserRole, getHttpRequest, getHttpServletRequest, getHttpServletResponse, getOrganisationController, getSilverpeasContext, getUri, getUser, getUserPreferences, getUserRoles, identifiedBy, identifiedBy, initContext, initWebResourceUri, isUserDefined, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.ProtectedWebResource

      `validateUserAuthorization`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.WebAuthenticationValidation

      `validateUserAuthentication`

- - ### Constructor Detail

    - #### ServiceWorkflow

          public ServiceWorkflow()

  - ### Method Detail

    - #### getUserField

          @GET
          @Produces("application/json")
          @Path("userField/{instanceId}/{actionName}/{fieldName}/{role}")
          public List<BaseDTO> getUserField​(@PathParam("instanceId")
                                            String instanceId,
                                            @PathParam("actionName")
                                            String actionName,
                                            @PathParam("fieldName")
                                            String fieldName,
                                            @PathParam("role")
                                            String role)
                                     throws Exception

      Throws:
        `Exception`

    - #### getWorkflowInstances

          @GET
          @Produces("application/json")
          @Path("instances/{role}/{callNumber}")
          public StreamingList<WorkflowInstanceDTO> getWorkflowInstances​(@PathParam("role")
                                                                         String userRole,
                                                                         @PathParam("callNumber")
                                                                         int callNumber)
                                                                  throws Exception

      Throws:
        `Exception`

    - #### getDataInstances

          @GET
          @Produces("application/json")
          @Path("datainstances/{role}")
          public WorkflowDataDTO getDataInstances​(@PathParam("role")
                                                  String userRole)
                                           throws Exception

      Throws:
        `Exception`

    - #### getPresentationForm

          @GET
          @Produces("application/json")
          @Path("presentationForm/{instanceId}/{role}")
          public WorkflowInstancePresentationFormDTO getPresentationForm​(@PathParam("instanceId")
                                                                         String instanceId,
                                                                         @PathParam("role")
                                                                         String role)
                                                                  throws Exception

      Throws:
        `Exception`

    - #### getActionForm

          @GET
          @Produces("application/json")
          @Path("actionForm/{instanceId}/{role}/{action}")
          public WorkflowFormActionDTO getActionForm​(@PathParam("instanceId")
                                                     String instanceId,
                                                     @PathParam("role")
                                                     String role,
                                                     @PathParam("action")
                                                     String action)
                                              throws Exception

      Throws:
        `Exception`

    - #### getResourceBasePath

          protected String getResourceBasePath()

      Specified by:
        `getResourceBasePath` in class `org.silverpeas.core.web.rs.RESTWebService`

    - #### getComponentId

          public String getComponentId()